sayren Docs
픽업 장소

픽업 장소 수정

PUT
/v1/pickup-locations/{locationId}

Authorization

accessToken
headerAuthorizationBearer <token>

Sayren 계정 토큰(로그인 토큰 또는 개인 액세스 토큰, RFC 9068 JWT)

Path Parameters

locationId*string

Header Parameters

X-Store-Id*string

대상 상점 id. 토큰의 상점 범위 밖이면 403 STORE_NOT_GRANTED, 없으면 400 STORE_ID_REQUIRED다

Request Body

application/json
  1. body
name*string
Length1 <= length <= 50
address*string
Length1 <= length <= 200
phone?|
Lengthlength <= 30
hours?|
Lengthlength <= 100
usable?boolean
Defaulttrue

Response Body

성공

application/json
  1. response
meta*
data*
error*|null
curl -X PUT 'https://api.sayren.io/v1/pickup-locations/string' \  -H 'X-Store-Id: string' \  -H 'Content-Type: application/json' \  -d '{  "name": "string",  "address": "string"}'
{  "meta": {    "status": 200,    "code": "OK",    "message": "OK",    "isSuccess": true  },  "data": {    "locationId": "string",    "name": "string",    "address": "string",    "phone": "string",    "hours": "string",    "usable": true,    "sortOrder": 0,    "createdAt": "string"  },  "error": null}